1. PayIn
Setu
  • Setu API documentation
  • Introduction
  • Signature & Code samples
  • Webhook Verification
  • India
    • PayIn
      • Payment Webhook
      • Payment Redirect
      • Create Payment
        POST
      • Fetch Payment Status
        POST
      • Initiate Refund
        POST
    • PayOut
      • Payout Webhook
      • Initiate Payout
      • Fetch Payout Status
  • Egypt
    • PayIn
      • Payment Webhook
      • Initiate Refund
      • Create Payment
      • Fetch Payment Status
    • PayOut
      • Payout Webhook
      • Initiate Payout
      • Fetch Payout Status
  • Nigeria
    • PayIn
      • Payment Webhook
      • Initiate Refund
      • Create Payment
      • Fetch Payment Status
    • PayOut
      • Payout Webhook
      • Initiate Payout
      • Fetch Payout Status
      • Bank Code
  • Indonesia
    • PayIn
      • Payment Webhook
      • Initiate Refund
      • Create Payment
      • Fetch Payment Status
    • PayOut
      • Payout Webhook
      • Initiate Payout
      • Fetch Payout Status
      • Bank Code
  • Account Balance
    POST
  • USDT Exchange Rate
    POST
  1. PayIn

Fetch Payment Status

POST
https://secure-staging.setu.solutions/v1/api/payment/fetch
This endpoint returns the current status of a payment by transactionRef. After a webhook arrives, call this endpoint and confirm the status with Setu before you update your order.

Request

Header Params

Body Params application/json

Example
{
    "transactionRef": "2c4d9ff6-dc9a-4bee-a751-18071257685c"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://secure-staging.setu.solutions/v1/api/payment/fetch' \
--header 'MerchantID: FX100001' \
--header 'Signature: paLAc7iNnnFhOYaKIgukzKXNPHIMES47pFnrnHtZ9LZjRyeqehMeKnb7alAdvB8xkUwOJ7y4V1tMSIDXh2otHi2NAxpOMZBrE4D9JWqhEPWQQMJrjrqousC9pfibDXP0I6lhSFoaV0iAQjTcrpfz2ONSpswz3pvYy27UJtldai6gBx1eI2PztrWiotsMojx7TcERibfXjP0wY8mScGePSUxjWThkKK5FggBvkKOXyvQe27nZ7isHUEAdAhdbgeRV' \
--header 'Timestamp: 1750554703' \
--header 'Content-Type: application/json' \
--data '{
    "transactionRef": "2c4d9ff6-dc9a-4bee-a751-18071257685c"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "code": "200",
    "message": "SUCCESS",
    "data": {
        "transactionRef": "dfce0d4d-0bdb-47b3-9cc9-b2e0f7905dac",
        "merchantRef": "de76d2c9-b4e7-4122-a066-d52fe2b5842e",
        "currency": "INR",
        "method": "NATIVE",
        "amount": 100.01,
        "paidAmount": 100.01,
        "fee": 5.5,
        "status": "Success",
        "utr": "6265241431",
        "payerVPA": "test@pthdfc",
        "payerName": "test name"
    }
}
🟠401Unauthorized
🟠403Forbidden
🔴500Server Error
Modified at 2026-10-08 20:05:07
Previous
Create Payment
Next
Initiate Refund
Built with